<?php 

//Consultas a base de datos
/*
$_GET['f'] = id de factura que deseas cargar desde base de datos
$_GET['n'] = numero de comprobante a generar
*/
//require ('../../conexion.php');		//Controla las credenciales para BD
//Consultar los parametros de hacienda
$parametrosGenerales = "SELECT * FROM wc_parametros_fe WHERE id = 1";
$resultadoParametrosGenerales= $mysqli->query($parametrosGenerales);
$parametros = $resultadoParametrosGenerales->fetch_array();

if(isset($_GET['f'])){
//	$idFactura = 59;
	$idFactura = $_GET['f'];
	//Consulta el comprobante a integrar
	$consultaDatosfacturas = "SELECT * FROM facturas WHERE codfactura = $idFactura";
	$resultadoDatosfacturas = $mysqli->query($consultaDatosfacturas);
	$facturas = $resultadoDatosfacturas->fetch_array();

	//consulta los datos generales
	$consultaDatosweb_0000 = "SELECT * FROM web_0000";
	$resultadoDatosweb_0000 = $mysqli->query($consultaDatosweb_0000);
	$web_0000 = $resultadoDatosweb_0000->fetch_array();

	//consulta los datos del receptor
	$consultaDatosweb_0301 = "SELECT * FROM web_0301 WHERE CDGCLI={$facturas['cdgcli']}";
	$resultadoDatosweb_0301 = $mysqli->query($consultaDatosweb_0301);
	$web_0301 = $resultadoDatosweb_0301->fetch_array();

	//consulta el detalle del comprobante
	$consultaDatosfactulinea = "SELECT * FROM factulinea WHERE codfactura = $idFactura";
	$resultadoDatofactulinea = $mysqli->query($consultaDatosfactulinea);
	

	 
	$consultaDatosfactulineaimpuestos = "SELECT  cdgtar as cdgtar, cdgimp as cdgimp, tarimp as tarimp , sum(impuesto) as impuestoxtarifa FROM factulinea WHERE codfactura = $idFactura AND cdgimp='01' GROUP BY tarimp ORDER BY tarimp  ";
	$resultadoDatofactulineaimpuestos = $mysqli->query($consultaDatosfactulineaimpuestos);     // agrego en la version 4.4
	
	
}
//consulta los datos del token de acceso a hacienda
$consultaDatoswc_token = "SELECT * FROM  wc_token WHERE id = 1";
$resultadoDatoswc_token = $mysqli->query($consultaDatoswc_token);
$resultadoToken = $resultadoDatoswc_token->fetch_array();


 ?>

